.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;

    &__header {
        z-index: 1200;
    }

    &__main {
        flex-grow: 1;

        &--content {
            padding: 40px 0;
        }
    }

    @include media-breakpoint-up(md) {

        &__main {

            &--content {
                padding: 60px 0;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__main {

            &--content {
                padding: 80px 0 80px 0;
            }
        }
    }

    @include media-breakpoint-up(xl) {

    }
}

.heading {
    color: $white;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: cover;

    &__container {
        padding-top: 50px;
        min-height: 400px;
        display: flex;
        flex-direction: column;
    }

    &__wrap {
        margin: auto 0;
    }

    &__title {
        margin: 0;
        font-weight: 800;
        font-size: size-rel(32px);
        line-height: 1.2;
        text-transform: uppercase;
        font-family: $font-family-primary;
    }

    @include media-breakpoint-up(md) {

        &__container {
            height: 530px;
            min-height: 530px;
            padding-top: 100px;
        }

        &__title {
            font-size: size-rel(44px);
        }
    }

    @include media-breakpoint-up(lg) {

        &__title {
            font-size: size-rel(50px);
        }
    }

    @include media-breakpoint-up(xl) {

        &__container {

        }

        &__title {
            font-size: size-rel(72px);
        }
    }
}

.control {

    &__count {
        color: $white;
        display: flex;
        align-items: flex-end;
        font-size: size-rel(20px);
        line-height: size-rel(36px);

        &--active {
            width: 48px;
            font-size: size-rel(42px);
            line-height: size-rel(42px);
        }
    }

    &__nav {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__button {
        margin: 0;
        padding: 0;
        height: 28px;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        cursor: pointer;
        display: inline-block;
        background: transparent;

        svg {
            fill: $white;
        }

        &--prev {
            margin-right: 10px;
            transform: rotate(180deg);
        }
    }

    @include media-breakpoint-up(lg) {

        &__count {
            font-size: size-rel(30px);
            line-height: size-rel(44px);

            &--active {
                width: 70px;
                font-size: size-rel(62px);
                line-height: size-rel(60px);
            }

            &--divider {
                font-size: size-rel(20px);
            }
        }

        &__nav {
            justify-content: center;
        }
    }
}

.item-offer {
    height: 380px;
    text-align: center;
    font-weight: 700;
    color: $white;
    overflow: hidden;
    position: relative;
    font-size: size-rel(20px);
    line-height: size-rel(28px);
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    flex-direction: column;

    &__title {
        margin: auto 0;
    }

    &__footer {
        z-index: 10;
        left: 0;
        bottom: 0;
        position: absolute;
        display: flex;
    }

    &__button {
        height: 56px;
        color: $black;
        font-weight: 800;
        font-size: size-rel(18px);
        line-height: size-rel(24px);
        padding: 5px 15px;
        background: $white;
        white-space: nowrap;
        display: flex;
        align-items: center;
        text-decoration: none;

        svg {
            fill: $hover;
        }

        &--text {
            display: inline-block;
        }

        &--icon {
            height: 24px;
            margin-left: 10px;
        }

        &:hover {
            color: $hover;
            text-decoration: none;
        }
    }

    @include media-breakpoint-up(sm) {
        height: auto;
    }
}

.item {
    height: 100%;
    overflow: hidden;
    background: $white;
    display: flex;
    flex-direction: column;

    &__media {
        display: block;
        overflow: hidden;
        position: relative;
        flex-shrink: 0;
    }

    &__image {

        img {
            transition: .3s;
            transform: scale(1);
        }

        &:hover {
            color: $white;
            text-decoration: none;

            img {
                transition: .3s;
                transform: scale(1.1);
            }
        }
    }

    &__tag {
        top: 20px;
        left: 0;
        z-index: 10;
        color: $white;
        display: block;
        text-align: center;
        font-weight: 700;
        padding: 6px 10px;
        font-size: size-rel(14px);
        line-height: size-rel(20px);
        white-space: nowrap;
        position: absolute;
        width: 80px;
        background: $secondary;
    }

    &__area {
        top: 20px;
        right: 0;
        z-index: 10;
        height: 32px;
        min-width: 66px;
        font-weight: 700;
        padding: 6px 5px;
        text-align: center;
        color: $primary;
        display: block;
        text-transform: uppercase;
        font-size: size-rel(18px);
        line-height: size-rel(20px);
        white-space: nowrap;
        position: absolute;
        background: $white;

        sup {
            font-size: size-rel(12px);
            line-height: size-rel(16px);
        }
    }

    &__content {
        display: flex;
        flex-grow: 1;
        height: 100%;
        flex-direction: column;
        padding: 20px 20px 0 20px;
    }

    &__title {
        color: $primary;
        font-weight: 600;
        font-size: size-rel(18px);
        line-height: size-rel(22px);
        margin-bottom: 20px;
        text-decoration:  none;
        font-family: $font-family-primary;
        flex-grow: 1;

        &:hover {
            color: $hover;
            text-decoration: none;
        }
    }

    &__info {
        margin: 0;
        padding: 0;
        color: $primary;
        font-weight: 700;
        font-size: size-rel(14px);
        line-height: size-rel(16px);
        list-style: none;
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;

        li {
            width: 50%;
            position: relative;
            padding-left: 35px;
            margin-bottom: 25px;

            span {
                display: block;
            }

            &:nth-child(1) {

                .item__info--icon {
                    height: 30px;
                    top: calc(50% - 15px);
                }
            }

            &:nth-child(3) {

                .item__info--icon {
                    height: 30px;
                    top: calc(50% - 15px);
                }
            }
        }

        &--label {
            color: #5b5e69;
        }

        &--icon {
            left: 0;
            top: calc(50% - 12px);
            height: 24px;
            font-size: 0;
            line-height: 0;
            position: absolute;
            display: inline-block;

            svg {
                fill: #33343a;
            }
        }
    }

    &__footer {
        margin-right: -20px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__price {
        white-space: nowrap;

        &--old {
            color: #797979;
            font-weight: 700;
            text-decoration: line-through;
            font-size: size-rel(14px);
            line-height: size-rel(18px);
        }

        &--new {
            font-weight: 800;
            color: $secondary;
            font-size: size-rel(20px);
            line-height: size-rel(20px);
        }
    }

    &__button {
        padding: 9px 0;
        width: 46px;
        height: 46px;
        font-size: 0;
        line-height: 0;
        display: block;
        text-align: center;
        background: $secondary;

        svg {
            fill: $white;
        }

        i {
            height: 28px;
            display: inline-block;
        }

        &:hover {
            background: $hover;
        }
    }

    @include media-breakpoint-up(sm) {

        &__info {

            li {
                width: 100%;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__info {

            li {
                width: 50%;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__price {
            display: flex;
            align-items: center;

            &--old {
                margin-right: 10px;
            }
        }
    }
}

.slider-nav {
    top: calc(50% - 20px);
    width: 40px;
    height: 40px;
    font-size: 0;
    line-height: 0;
    margin: 0;
    padding: 9px 0;
    z-index: 50;
    cursor: pointer;
    text-align: center;
    position: absolute;
    display: inline-block;
    background: $white;
    border: 1px solid $secondary;

    i {
        height: 20px;
        display: inline-block;
    }

    svg {
        fill: $primary;
    }

    &__prev {
        left: 0;
    }

    &__next {
        right: 0;
    }
}

.error-page {
    height: 100%;
    color: $white;
    text-align: center;
    padding-top: 160px;
    padding-bottom: 60px;
    background: url("../images/error__bg.webp") 50% 50% no-repeat;
    background-size: cover;
    display: flex;
    flex-direction: column;

    &__wrap {
        margin: auto 0;
    }

    &__top {
        line-height: 1.2;
        font-size: size-rel(32px);
        margin-bottom: 10px;
    }

    &__title {
        line-height: 1.2;
        font-weight: 700;
        font-size: size-rel(32px);
        margin-bottom: 20px;
    }

    &__header {
        font-size: size-rel(100px);
        line-height: size-rel(100px);

        span {
            color: $secondary;
        }
    }

    .btn {
        width: 220px;
    }

    @include media-breakpoint-up(md) {
        padding-bottom: 80px;

        &__header {
            font-size: size-rel(150px);
            line-height: size-rel(150px);
        }

        &__top {
            font-size: size-rel(42px);
        }

        &__title {
            font-size: size-rel(42px);
        }
    }
}

.video-group {
    display: grid;
    grid-row-gap: 30px;
    grid-column-gap: 30px;
    grid-template-columns: 1fr;

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr;
    }
    @include media-breakpoint-up(md) {}

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {}
}

.video-item {
    display: block;
    position: relative;
    color: $black;
    text-decoration: none;

    &:hover {
        color: $black;
        text-decoration: underline;
    }

    &__image {
        display: block;
    }

    &__title {

        margin-top: 10px;
    }
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}

